MessageDeliveryOptions (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.transport.util.MessageDeliveryOptions class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.transport.util
Class MessageDeliveryOptions

    java.lang.Object
      org.hyperic.hq.transport.util.MessageDeliveryOptions

    public class MessageDeliveryOptions

extends java.lang.Object

Passes the message delivery options specified when creating a service proxy down to the client invoker.

Method Summary
`boolean` | `isAsynchronous()` Check if the message delivery is asynchronous meaning that the client invoker will not block on the remote invocation.
`boolean` | `isGuaranteed()` If the message delivery is asynchronous, will the client invoker guarantee message delivery? Guaranteed delivery does not apply for synchronous delivery.
`static MessageDeliveryOptions` | `newAsynchronousInstance(boolean guaranteed)` Create an instance specifying asynchronous delivery.
`static MessageDeliveryOptions` | `newSynchronousInstance()` Create an instance specifying synchronous delivery.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newSynchronousInstance

    public static MessageDeliveryOptions newSynchronousInstance()

  Create an instance specifying synchronous delivery.

  Returns:
    The message delivery options.

### newAsynchronousInstance

    public static MessageDeliveryOptions newAsynchronousInstance(boolean guaranteed)

  Create an instance specifying asynchronous delivery.

  Parameters:
    `guaranteed` - `true` if message delivery is guaranteed.
  Returns:
    The message delivery options.

### isAsynchronous

    public boolean isAsynchronous()

  Check if the message delivery is asynchronous meaning that the client invoker will not block on the remote invocation. This means that the client should not expect a response from the remote end point.

  Returns:
    `true` if the invocation is asynchronous.

### isGuaranteed

    public boolean isGuaranteed()

  If the message delivery is asynchronous, will the client invoker guarantee message delivery? Guaranteed delivery does not apply for synchronous delivery.

  Returns:
    `true` if message delivery is guaranteed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.